Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Interface DynamicTransformationObserver

public interface DynamicTransformationObserver

Observer of the transformation process of a class (the transformation target class). When a field read, field write, or constructor execution becomes wrapped due to only dynamicaly added bindings, it may be necessary to hot swap the code of classes previously loaded. Any class that executes the dynamicaly wrapped joinpoint must be changed to invoke the joinpoint wrapped instead. The implementation of this observer that must be used is dependent of the dynamic aop strategy.

Author:
  Flavia Rainone
See Also:
  `DynamicAOPStrategy`

Method Summary
`void` | `constructorDynamicalyWrapped()` Notifies that during the transformation of target class, its `constructor` execution joinpoints were wrapped due only to bindings added dynamicaly.
`void` | `fieldReadDynamicalyWrapped(javassist.CtField field)` Notifies that during the transformation of the target class, the `field` read joinpoint was wrapped due only to bindings added dynamicaly.
`void` | `fieldWriteDynamicalyWrapped(javassist.CtField field)` Notifies that during the transformation of target class, the `field` write joinpoint was wrapped due only to bindings added dynamicaly.
`void` | `transformationFinished(javassist.CtClass clazz, javassist.CodeConverter converter)` Notifies the observer that the transformation of the target class is finished.

Method Detail

### fieldReadDynamicalyWrapped

    public void fieldReadDynamicalyWrapped(javassist.CtField field)

  Notifies that during the transformation of the target class, the `field` read joinpoint was wrapped due only to bindings added dynamicaly. This means that callers of `field` read joinpoint may need to be hotswapped to invoke the `field` read wrapper.

  Parameters:
    `field` - the field whose read joinpoint was dynamicaly wrapped.

### fieldWriteDynamicalyWrapped

    public void fieldWriteDynamicalyWrapped(javassist.CtField field)

  Notifies that during the transformation of target class, the `field` write joinpoint was wrapped due only to bindings added dynamicaly. This means that callers of `field` write joinpoint may need to be hotswapped to invoke the `field` write wrapper.

  Parameters:
    `field` - the field whose write joinpoint was dynamicaly wrapped.

### constructorDynamicalyWrapped

    public void constructorDynamicalyWrapped()

  Notifies that during the transformation of target class, its `constructor` execution joinpoints were wrapped due only to bindings added dynamicaly. This means that callers of the constructor execution joinpoints may need to be hotswapped to invoke the constructor execution wrappers.

### transformationFinished

    public void transformationFinished(javassist.CtClass clazz,
                                       javassist.CodeConverter converter)

  Notifies the observer that the transformation of the target class is finished.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.